Index: source/python/mods/checks.py
===================================================================
--- source/python/mods/checks.py	(revision 97f4f4c5a73cb9dc0b6c44b3e3a1134051a3b74e)
+++ source/python/mods/checks.py	(revision 3f36e423871039ab295f5ea95c56af49ef5067ce)
@@ -26,5 +26,5 @@
 # ------------------------------------------------------------------------------
 
-
+import _config
 # ------------------------------------------------------------------------------
 # FUNCTIONS
@@ -32,19 +32,8 @@
 
 
-def check_grid_area(grid, area, upper, lower, left , right):
-    '''
+def check_grid(grid):
 
-
-    '''
-    # if area was provided
-    # decompose area into its 4 components
-    if area:
-        components = area.split('/')
-        upper, left, lower, right = components
-
-    if 'N' in grid:  # Gaussian output grid
-        area = 'G'
-        return grid, area
-
+    if 'N' in grid:
+        return grid
     if '/' in grid:
         gridx, gridy = grid.split('/')
@@ -62,4 +51,20 @@
         # grid is defined in normal degree; new format
         grid = '{}/{}'.format(float(grid), float(grid))
+
+    return grid
+
+def check_area(grid, area, upper, lower, left , right):
+    '''
+
+
+    '''
+    if 'N' in grid:  # Gaussian output grid
+        area = 'G'
+        return area
+
+    # if area was provided decompose area into its 4 components
+    if area:
+        components = area.split('/')
+        upper, left, lower, right = components
 
     # determine area format
@@ -86,3 +91,78 @@
                          'formats: %s ' (area))
 
-    return grid, area
+    return area
+
+def check_levels(levelist, level):
+    '''
+
+    Parameters
+    ----------
+    par : :obj:``
+        ...
+
+    Return
+    ------
+
+    '''
+    # assure consistency of levelist and level
+    if not levelist and not level:
+        raise ValueError('ERROR: neither levelist nor level '
+                         'specified in CONTROL file')
+    elif not levelist and level:
+        levelist = '1/to/' + level
+    elif (levelist and not level) or \
+         (levelist[-1] != level[-1]):
+        level = levelist.split('/')[-1]
+    else:
+        pass
+
+    # check if max level is a valid level
+    if int(level) not in _config.MAX_LEVEL_LIST:
+        raise ValueError('ERROR: \n'
+                         'LEVEL must be the maximum level of a specified '
+                         'level list from ECMWF, e.g. {} \n'
+                         'Check parameter "LEVEL" or the max level of '
+                         '"LEVELIST"!'.format(str(_config.MAX_LEVEL_LIST)))
+
+    return levelist, level
+
+
+def check_ppid(c, ppid):
+    '''Sets the current PPID.
+
+    Parameters
+    ----------
+    c : :obj:`ControlFile`
+            Contains all the parameters of CONTROL file and
+            command line.
+
+    ppid : :obj:`int` or :obj:`None`
+        Contains the ppid number provided by the command line parameter
+        of is None otherwise.
+
+    Return
+    ------
+
+    '''
+
+    if not ppid:
+        c.ppid = str(os.getppid())
+    else:
+        c.ppid = ppid
+
+    return
+
+
+def check_():
+    '''
+
+    Parameters
+    ----------
+    par : :obj:``
+        ...
+
+    Return
+    ------
+
+    '''
+    return
Index: source/python/mods/get_mars_data.py
===================================================================
--- source/python/mods/get_mars_data.py	(revision 1d15e270fd8ba562f2efaffe47fad5702ee59ccb)
+++ source/python/mods/get_mars_data.py	(revision 3f36e423871039ab295f5ea95c56af49ef5067ce)
@@ -266,5 +266,6 @@
 
 def remove_old(pattern, inputdir):
-    '''Deletes old retrieval files matching the pattern.
+    '''Deletes old retrieval files from current input directory
+    matching the pattern.
 
     Parameters
Index: source/python/mods/prepare_flexpart.py
===================================================================
--- source/python/mods/prepare_flexpart.py	(revision 631ba13f7fac01d7a39c94b584498f6683aa7dee)
+++ source/python/mods/prepare_flexpart.py	(revision 3f36e423871039ab295f5ea95c56af49ef5067ce)
@@ -63,4 +63,5 @@
     inspect.getfile(inspect.currentframe()))) + '/../')
 import _config
+from checks import check_ppid
 from classes.UioFiles import UioFiles
 from classes.ControlFile import ControlFile
@@ -126,5 +127,5 @@
 
     '''
-    c.check_ppid(ppid)
+    check_ppid(c, ppid)
 
     c.ecapi = ecapi
